#!/bin/sh
set -x

. /etc/wmde-rp.conf

USER=`whoami`
PAM_USER=$USER
PAM_TYPE=open_session

. $PREFIX/wmde-rp-check-pam-user.sh
. $PREFIX/wmde-rp-common.sh


SSHARGS="-o UserKnownHostsFile=$HOMEDIR/$WMDERPDIR/known_hosts" 

create_wmderpdir

if [ -f "$PIDFILE" ]; then
	OLD_PID=`cat "$PIDFILE"`
	if kill -0 "$OLD_PID" 2> /dev/null; then
		echo "Usersync already running." >> $LOGFILE
		exit 0
	fi
fi

echo 0 > $CONFIGSYNC
echo 0 > $FULLSYNC
echo $$ > $PIDFILE


create_knonw_hosts_and_nfshomedir

